一个小问题!

为当前最终发行版之前的所有版本提供支持
回复
wuleeemail
帖子: 54
注册时间: 2007-08-15 8:45
送出感谢: 0
接收感谢: 0
联系:

一个小问题!

#1

帖子 wuleeemail » 2007-08-19 21:04

以前一直听人说内核编译这件事,但是现在我知己开始用起Linux的操作系统以后感到在很多方面好像已经不错了,那么我还要来对内核进行编译吗?我们对现在这样的操作系统是不是就可以不要编译直接拿来就用了?
头像
iblicf
帖子: 3766
注册时间: 2007-01-15 17:15
送出感谢: 0
接收感谢: 0

#2

帖子 iblicf » 2007-08-19 21:18

95% 的人没编译过内核
头像
xhy
帖子: 3916
注册时间: 2005-12-28 1:16
系统: Ubuntu 12.10 X64
来自: 火星
送出感谢: 1 次
接收感谢: 0

#3

帖子 xhy » 2007-08-19 21:46

对于普通用户
在系统没有什么毛病的情况下
折腾这个纯粹是没事找事做
目前负债150多万
wuleeemail
帖子: 54
注册时间: 2007-08-15 8:45
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 wuleeemail » 2007-08-20 16:24

有些计算机如果出现硬件的不支持时,好像还是需要对内核进行修改的,是不是?
leeyee
帖子: 723
注册时间: 2006-04-11 9:01
送出感谢: 0
接收感谢: 0

#5

帖子 leeyee » 2007-08-20 16:27

wuleeemail 写了:有些计算机如果出现硬件的不支持时,好像还是需要对内核进行修改的,是不是?
如果确认新版的内核支持该硬件,而当前内核不支持该硬件。此时自己编译内核才是必要的。但一般来说,现在发行版用的内核已经够新了,最新的内核对于硬件个体的支持并没有提高多少,更多的是在机制上的更新。
I would love to change the world, but they won't give me the source code.
http://hi.baidu.com/wienerlee
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#6

帖子 eexpress » 2007-08-20 16:28

也不要。直接编译驱动,作模块就是。动内核的是傻子。
● 鸣学
wuleeemail
帖子: 54
注册时间: 2007-08-15 8:45
送出感谢: 0
接收感谢: 0
联系:

#7

帖子 wuleeemail » 2007-08-20 16:57

eexpress 写了:也不要。直接编译驱动,作模块就是。动内核的是傻子。
想问一下:"直接编译驱动,作模块就是"这个动作有多大?作为初入门的人来说何时才能干这样的事情?
wuleeemail
帖子: 54
注册时间: 2007-08-15 8:45
送出感谢: 0
接收感谢: 0
联系:

#8

帖子 wuleeemail » 2007-08-20 17:03

[/quote]
如果确认新版的内核支持该硬件,而当前内核不支持该硬件。此时自己编译内核才是必要的。但一般来说,现在发行版用的内核已经够新了,最新的内核对于硬件个体的支持并没有提高多少,更多的是在机制上的更新。[/quote]

请问:我们如何确认"新版的内核支持该硬件,而当前内核不支持该硬件。".我们有一台IBM服务器显卡一直找不到,包括IBM网站。所以现在的显示一直有问题。
头像
xhy
帖子: 3916
注册时间: 2005-12-28 1:16
系统: Ubuntu 12.10 X64
来自: 火星
送出感谢: 1 次
接收感谢: 0

#9

帖子 xhy » 2007-08-20 17:12

wuleeemail 写了:
eexpress 写了:也不要。直接编译驱动,作模块就是。动内核的是傻子。
想问一下:"直接编译驱动,作模块就是"这个动作有多大?作为初入门的人来说何时才能干这样的事情?

第一天接触linux就可以做这种事

1 到官方网站查找这一型号硬件的linux版驱动
2 如果有对应的二进制包 下载了直接安装
3 如果只有源码 下载源码
4 解压缩到任意目录 认真阅读里面的README文件
5 复制粘贴那个文件里的安装命令
目前负债150多万
wuleeemail
帖子: 54
注册时间: 2007-08-15 8:45
送出感谢: 0
接收感谢: 0
联系:

#10

帖子 wuleeemail » 2007-08-20 17:20

哦!谢谢楼上的,看样子回去以后要折腾我们那台机器了。
回复

回到 “老旧版本支持”